# Interface ValueTwoWaySteps.ValueTwoWayConfigStep<F, T, THIS extends ValueTwoWaySteps.ValueTwoWayConfigStep<F,T,THIS>>

Type Parameters:
  `F` - type of the from-end observable
  `T` - type of the to-end observable
  `THIS` - self type for this step

All Superinterfaces:
  `CommonSteps.ReadConfigStep<F,T,THIS>, CommonSteps.WriteConfigStep<F,T,THIS>, Step, ValueCommonSteps.ValueReadConfigStep<F,T,THIS>, ValueCommonSteps.ValueWriteConfigStep<F,T,THIS>`

All Known Subinterfaces:
  `ValueTwoWaySteps.ValueTwoWayBindConfigStep<F,T,THIS>, ValueTwoWaySteps.ValueTwoWayConvertToStep<F,THIS>`

Enclosing class:
  `ValueTwoWaySteps`

public static interface ValueTwoWaySteps.ValueTwoWayConfigStep<F, T, THIS extends ValueTwoWaySteps.ValueTwoWayConfigStep<F,T,THIS>> extends CommonSteps.WriteConfigStep<F,T,THIS>, ValueCommonSteps.ValueReadConfigStep<F,T,THIS>, ValueCommonSteps.ValueWriteConfigStep<F,T,THIS>
Step from configuring the from-end.

Since:
  1.11
Restriction:

## Method Summary

Modifier and Type
Method
Description
`THIS`
`validateTwoWay(IValidator<? super T> validator)`
Sets the validator on both directions of the resulting binding.

### Methods inherited from interface CommonSteps.WriteConfigStep

`updateOnlyOnRequest`

### Methods inherited from interface ValueCommonSteps.ValueReadConfigStep

`validateAfterGet`

### Methods inherited from interface ValueCommonSteps.ValueWriteConfigStep

`convertOnly, validateAfterConvert, validateBeforeSet`

## Method Details

### validateTwoWay

THIS validateTwoWay(IValidator<? super T> validator)
Sets the validator on both directions of the resulting binding. Sets the after-get validator on the from-to direction and the `after-convert` validator on the to-from direction.

Returns:
  next step
See Also:
  - `UpdateValueStrategy.setAfterGetValidator(IValidator)`
  - `UpdateValueStrategy.validateAfterConvert(D)`